Page MenuHomePhabricator

Allow to define a localized description message to be added to extension configs
Closed, ResolvedPublic

Description

In manifest_version 2 it's possible to add a description string to a specific configuration option. However, this is mainly meant for developers or system-administrators, who use these configurations to set in LocalSettings.php or something else, so they know what it does (a bit like a replacement for missing comments in json). This string, however, isn't localized and can't be easily used in an on-wiki interface. So, there should be a possibility to add a message key, which can be used as a description when the configuration option (description) is used in an user interface.

Event Timeline

Florian created this task.Jan 12 2017, 6:59 AM
Florian claimed this task.Jan 13 2017, 5:12 AM

Change 331955 had a related patch set uploaded (by Florianschmidtwelzow):
Allow extensions to set a description message

https://gerrit.wikimedia.org/r/331955

Change 331955 merged by jenkins-bot:
[mediawiki/core] registration: Allow documenting config settings with i18n messages

https://gerrit.wikimedia.org/r/331955

Florian closed this task as Resolved.Mar 8 2017, 5:50 PM

*yay* Thanks @Legoktm

Is there an example patch to e.g. an extension that implements this, so the rest of us can learn and apply elsewhere?

I added the following documentation on mediawiki.org and will probably convert one extension (and link to this task :)):
https://www.mediawiki.org/w/index.php?title=Manual%3AExtension_registration&type=revision&diff=2416055&oldid=2403046

@Legoktm: Sure! I added it in this way: https://www.mediawiki.org/w/index.php?title=Manual%3AExtension.json%2FSchema&type=revision&diff=2417816&oldid=2410949 I'm not sure, if this is correct or the best format, so feel free to edit, if needed :D